%global githash 9c19777

Name:		xs
Version:	0.1
Release:	4.git%{githash}%{?dist}
Summary:	Shell supporting functional programming

License:	Public Domain
URL:		https://github.com/frytvm
# downloaded from https://github.com/frytvm/XS/tarball/master
Source0:	frytvm-XS-%{githash}.tar.gz

BuildRequires:	automake, bison, boost-devel, gc-devel, readline-devel

%description
Xs is a cleanly-designed shell with functional programming.  It is based off
the source-code for the es project, which was in the public domain.
Currently, the changes in xs can also be considered to be in the public domain.

Most of the xs source code remains untouched from es.
The primary authors of that shell can be found in that source code,
currently located at: ftp://ftp.sys.utoronto.ca/pub/es/. Modifications
since es-0.9-beta1 are all parts of xs and have been written by
Frederic Koehler.


%prep
%setup -q -n frytvm-XS-%{githash}


%build
autoreconf
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%check
make testxs


%files
%doc COPYING README
%{_bindir}/xs
%{_mandir}/man1/xs.1*


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4.git9c19777
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3.git9c19777
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep  7 2011 Jens Petersen <petersen@redhat.com> - 0.1-2.git9c19777
- fix description, use install -p, and include COPYING (Parag Nemade, #735705)
- add a check section

* Fri Sep  2 2011 Jens Petersen <petersen@redhat.com> - 0.1-1.git9c19777
- initial packaging
